=== debian/changelog ===
orthanc-dicomweb (0.3+dfsg-1) unstable; urgency=medium

  [ Sebastien Jodogne ]
  * New upstream version.

  [ Andreas Tille ]
  * cme fix dpkg-control

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 28 Jun 2016 16:07:32 +0200

orthanc-dicomweb (0.2+dfsg-1) unstable; urgency=medium

  [ Sebastien Jodogne ]
  * New upstream version.
  * Fix build with Orthanc >= 0.9.5. (Closes: #807394)

  [ Andreas Tille ]
  * Moved from SVN to Git

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 10 Dec 2015 14:34:10 +0100

orthanc-dicomweb (0.1+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #794392)

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 03 Aug 2015 10:18:51 +0200
