=== debian/control ===
Source: orthanc-dicomweb
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9),
               libboost-all-dev,
               libgdcm2-dev,
               libgtest-dev,
               libjpeg-dev,
               libjs-jquery,
               libjsoncpp-dev,
               libpng-dev,
               libpugixml-dev,
               orthanc-dev (>= 1.1.0),
               uuid-dev,
               zlib1g-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/orthanc-dicomweb.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/orthanc-dicomweb.git
Homepage: http://www.orthanc-server.com/static.php?page=dicomweb

Package: orthanc-dicomweb
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         orthanc (>= 0.9.5)
Description: Plugin to extend Orthanc with support of WADO and DICOMweb
 Orthanc DICOMweb is a plugin to Orthanc, the lightweight, RESTful Vendor
 Neutral Archive for medical imaging. It extends the Orthanc core with
 support of the WADO (now known as WADO-URI) and DICOMweb (QIDO-RS,
 STOW-RS, WADO-RS) standards.
