=== debian/changelog ===
orthanc-dicomweb (0.4+dfsg-1build1) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 16:41:17 +0000

orthanc-dicomweb (0.4+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 20 Jul 2017 13:49:25 +0200

orthanc-dicomweb (0.3+dfsg-2) unstable; urgency=medium

  [ Tiago Sturmer Daitx <tiago.daitx@canonical.com> ]
  * Fix linking of libraries. Closes: #857424

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 17 Mar 2017 16:28:46 +0100
