=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                orthanc-dev (>= 1.1.0),
                uuid-dev,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/orthanc-dicomweb.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/orthanc-dicomweb.git
 Homepage: http://www.orthanc-server.com/static.php?page=dicomweb
