=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,downloadurlmangle=s/\/browse\.php\?path=//g,repack,compression=xz" \
http://www.orthanc-server.com/browse.php?path=/plugin-dicom-web downloads/get\.php\?path=/plugin-dicom-web/OrthancDicomWeb-(\d\S*)\.tar\.gz
