=== debian/changelog ===
orthanc-dicomweb (0.5+dfsg-3) unstable; urgency=medium

  * Updated d/upstream/metadata with new reference paper about Orthanc
  * Moved plugin binaries from "/usr/lib" to "/usr/lib/orthanc"

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 28 Jan 2019 14:55:50 +0100

orthanc-dicomweb (0.5+dfsg-2) unstable; urgency=medium

  * Set -DCMAKE_BUILD_TYPE=None
  * Set -DNDEBUG to disable assertion checking

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 27 Apr 2018 14:05:31 +0200

orthanc-dicomweb (0.5+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 19 Apr 2018 19:38:36 +0200
