=== debian/control ===
--- 
+++ 
@@ -15,18 +15,19 @@
                libpng-dev,
                libpugixml-dev,
                orthanc-dev (>= 1.1.0),
+               unzip,
                uuid-dev,
                zlib1g-dev
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/orthanc-dicomweb.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/orthanc-dicomweb.git
-Homepage: http://www.orthanc-server.com/static.php?page=dicomweb
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/med-team/orthanc-dicomweb
+Vcs-Git: https://salsa.debian.org/med-team/orthanc-dicomweb.git
+Homepage: https://www.orthanc-server.com/static.php?page=dicomweb
 
 Package: orthanc-dicomweb
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         orthanc (>= 0.9.5)
+         orthanc (>= 1.1.0)
 Description: Plugin to extend Orthanc with support of WADO and DICOMweb
  Orthanc DICOMweb is a plugin to Orthanc, the lightweight, RESTful Vendor
  Neutral Archive for medical imaging. It extends the Orthanc core with
