=== debian/changelog ===
orthanc-dicomweb (0.6+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 27 Feb 2019 20:45:00 +0100
