=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 override_dh_auto_configure:
         # Put 3rd party packages where the cmake build system expects them
 	mkdir -p ThirdPartyDownloads
-	( cd ThirdPartyDownloads; cp ../debian/ThirdPartyDownloads/Orthanc-1.3.2.tar.gz . )
+	( cd ThirdPartyDownloads; cp ../debian/ThirdPartyDownloads/Orthanc-1.5.5.tar.gz . )
 
         # Place back the jquery library from Debian
 	cp /usr/share/javascript/jquery/jquery.min.js Resources/Samples/JavaScript/jquery.min.js
