=== debian/changelog ===
orthanc-dicomweb (1.0+dfsg-2ubuntu10) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Mar 2020 08:55:03 +0100

orthanc-dicomweb (1.0+dfsg-2ubuntu9) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:22:25 +0100

orthanc-dicomweb (1.0+dfsg-2ubuntu8) focal; urgency=medium

  * No-change rebuild against libboost-regex1.71.0-icu65

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 19:03:26 +0000

orthanc-dicomweb (1.0+dfsg-2ubuntu7) focal; urgency=medium

  * Allow unauthenticated.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 05 Feb 2020 02:34:44 +0000

orthanc-dicomweb (1.0+dfsg-2ubuntu6) focal; urgency=medium

  * Add back HOME again.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 05 Feb 2020 02:27:41 +0000

orthanc-dicomweb (1.0+dfsg-2ubuntu5) focal; urgency=medium

  * And dget needs curl.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 05 Feb 2020 02:22:09 +0000

orthanc-dicomweb (1.0+dfsg-2ubuntu4) focal; urgency=medium

  * And that is blocked, try dget then.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 05 Feb 2020 02:14:55 +0000

orthanc-dicomweb (1.0+dfsg-2ubuntu3) focal; urgency=medium

  * Add specify HOME directory for pull-lp-source.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 05 Feb 2020 01:58:22 +0000

orthanc-dicomweb (1.0+dfsg-2ubuntu2) focal; urgency=medium

  * No deb-src lines on Ubuntu builders, use pull-lp-source.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 05 Feb 2020 01:47:34 +0000

orthanc-dicomweb (1.0+dfsg-2ubuntu1) focal; urgency=medium

  * Use orthanc from the archive, instead of an embedded tarball.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 05 Feb 2020 01:30:35 +0000

orthanc-dicomweb (1.0+dfsg-2build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 02 Feb 2020 20:22:53 +0100

orthanc-dicomweb (1.0+dfsg-2) unstable; urgency=medium

  * Fix FTBFS: linking with gdcm. Closes: #944721
  * Fix FTBFS: use of axios. Closes: #944683
  * Install the "Status.txt" documentation file from upstream.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 14 Nov 2019 11:20:16 +0100

orthanc-dicomweb (1.0+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 31 Jul 2019 15:20:59 +0200
