=== debian/control ===
--- 
+++ 
@@ -1,24 +1,31 @@
 Source: orthanc-dicomweb
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: cmake,
                debhelper (>= 9),
+               devscripts,
+               curl,
+	       fonts-font-awesome,
+	       libjs-bootstrap4,
                libboost-all-dev,
-               libgdcm2-dev,
+               libgdcm-dev,
                libgtest-dev,
                libjpeg-dev,
                libjs-jquery,
                libjsoncpp-dev,
                libpng-dev,
                libpugixml-dev,
+	       node-axios,
                orthanc-dev (>= 1.1.0),
                unzip,
                uuid-dev,
-               zlib1g-dev
-Standards-Version: 4.3.0.2
+               zlib1g-dev,
+               yui-compressor
+Standards-Version: 4.4.0.1
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-dicomweb
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-dicomweb.git
 Homepage: https://www.orthanc-server.com/static.php?page=dicomweb
