=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,15 @@
 export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
 
+MIRROR=$(shell sed -n 's|.* \(http://[a-z./]*\) .*|\1|p' /etc/apt/sources.list | head -n1)
+FILENAME=$(shell apt-cache show orthanc | grep Filename | cut -d\  -f2 | head -n1 | sed 's|_[a-z0-9]*.deb|.dsc|')
+
 %:
 	dh $@ --parallel --builddirectory=Build
 
 CMAKE_EXTRA_FLAGS += \
+	-DORTHANC_FRAMEWORK_SOURCE=path \
+	-DORTHANC_FRAMEWORK_ROOT=$(CURDIR)/ThirdPartyDownloads/orthanc \
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
 	-DSTATIC_BUILD:BOOL=OFF \
         -DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
@@ -24,7 +29,7 @@
 override_dh_auto_configure:
         # Put 3rd party packages where the cmake build system expects them
 	mkdir -p ThirdPartyDownloads
-	( cd ThirdPartyDownloads; cp ../debian/ThirdPartyDownloads/Orthanc-1.5.5.tar.gz . )
+	( cd ThirdPartyDownloads; apt-get source orthanc || HOME=$(CURDIR)/ThirdPartyDownloads dget --allow-unauthenticated $(MIRROR)/$(FILENAME) ; mv orthanc-* orthanc )
 
         # Place back the jquery library from Debian
 	cp /usr/share/javascript/jquery/jquery.min.js Resources/Samples/JavaScript/jquery.min.js
