=== debian/changelog ===
orthanc-dicomweb (1.2+dfsg-2) unstable; urgency=medium

  * Fix FTBFS: fonts-font-awesome has changed install path. Closes: #963277

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 22 Jun 2020 10:43:53 +0200

orthanc-dicomweb (1.2+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 27 May 2020 15:21:47 +0200

orthanc-dicomweb (1.1+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 04 Mar 2020 13:50:33 +0100
